| Code Coverage
| Classes and Traits | Functions and Methods | Lines
Total | 100.00% covered (success) | 100.00% | 1 / 1 | 100.00% covered (success) | 100.00% | 2 / 2 | CRAP | 100.00% covered (success) | 100.00% | 3 / 3
Handler | 100.00% covered (success) | 100.00% | 1 / 1 | 100.00% covered (success) | 100.00% | 2 / 2 | 2 | 100.00% covered (success) | 100.00% | 3 / 3
report | 100.00% covered (success) | 100.00% | 1 / 1 | 1 | 100.00% covered (success) | 100.00% | 2 / 2
render | 100.00% covered (success) | 100.00% | 1 / 1 | 1 | 100.00% covered (success) | 100.00% | 1 / 1

1 | <?php
2 |
3 | namespace App\Exceptions;
4 |
5 | use Exception;
6 | use Illuminate\Foundation\Exceptions\Handler as ExceptionHandler;
7 |
8 | class Handler extends ExceptionHandler
9 | {
10 | /**
11 | * A list of the exception types that are not reported.
12 | *
13 | * @var array
14 | */
15 | protected $dontReport = [
16 | //
17 | ];
18 |
19 | /**
20 | * A list of the inputs that are never flashed for validation exceptions.
21 | *
22 | * @var array
23 | */
24 | protected $dontFlash = [
25 | 'password',
26 | 'password_confirmation',
27 | ];
28 |
29 | /**
30 | * Report or log an exception.
31 | *
32 | * @param \Exception $exception
33 | * @return void
34 | */
35 | public function report(Exception $exception)
36 | {
37 | parent::report($exception);
38 | }
39 |
40 | /**
41 | * Render an exception into an HTTP response.
42 | *
43 | * @param \Illuminate\Http\Request $request
44 | * @param \Exception $exception
45 | * @return \Illuminate\Http\Response
46 | */
47 | public function render($request, Exception $exception)
48 | {
49 | return parent::render($request, $exception);
50 | }
51 | }